+++
title = 'USM Magnetics'
date = 2025-02-27T07:17:00-05:00
draft = false
categories = ['references']
tags = ['USM', 'magnetics', 'data science', 'KarstTech', 'UUV']
+++

Several months ago I was referred to the University of Southern Mississippi [Marine Research Center](https://www.usm.edu/ocean-enterprise/marine-research-center.php) by a coworker. They wanted some assistance from someone with a Physics and Data Science background to work on an autonomous underwater vehicle for the purpose of developing a magnetic sensing platform.

The work sounded interesting, so I joined the team as a contractor. Fast forward several months, and we are making fantastic progress!

The work began with using data acquired from high quality magnetic sensors including from [QUSPIN](https://quspin.com/), and processing the data to detect magnetic objects of interest. For those without a background in physics, you should know that magnetic fields fall off as the cube of the distance from the source. This makes for a much more challenging problem since the size of the signals we are looking for are TINY compared to the noise in the data once we get to any significant distance from the source. This is made even more difficult by the fact that the Earth's magnetic field is a very strong signal, which changes from the perspective of the vector magnetic sensor as the vehicle moves. The final wrinkle is that the targets of interest are passive ferromagnetic objects, meaning their field is created by becoming magnetized by the Earth's magnetic field, and so they are extremely weak fields when measured at a distance.

